package com.fuse.storage.data_objects;

/*
	FUSE Light Server - multiuser server application
	Copyright (C) 2000 Aapo Kyrola / Sulake Oy  Helsinki, Finland

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/


import java.util.Date;

import com.fuse.storage.*;

/**
  * Access (AccessLog is for Lumisota)
  * @author Aapo Kyrola
  */
public abstract class Access implements FUSEDataObject {
	
	/* Interface: DataObject */
	public String getType() {
		return "Access";
	}	
	
	/**
	  * Returns the cache key of this object or null
	  * if the object is not cacheable.
	  * NOTE that the cache key must be unique only between objects
	  * of same class: the database cache implementation should differ
	  * between classes.
	  */
	public String getCacheKey() {
		return null;
	}
	
	
	/* Unique id */
	public abstract long getId();
	
	public abstract void setId(long id);
	
	/* Time */
	public abstract void setTime(Date d);
	
	public abstract Date getTime();
	
	/* Logout time */
	public abstract void setLogoutTime(Date d);
	
	public abstract Date getLogoutTime();
	
	/* User */
	public abstract FUSEUser getUser();
	
	public abstract void setUser(FUSEUser user);
	
	/* Ip & domain */
	public abstract void setIp(String s);
	
	public abstract String getIp();
	
	public abstract void setDomain(String d);
	
	public abstract String getDomain();
	
	
}
